#ifndef	_fs_server_
#define	_fs_server_

/* Module fs */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <mach/mach_types.h>
#include <device/device_types.h>
#include <device/net_status.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/statfs.h>
#include <sys/resource.h>
#include <sys/utsname.h>
#include <hurd/hurd_types.h>
#include <hurd/trivfs.h>

/* Routine file_exec */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_exec
#if	defined(LINTLIBRARY)
    (exec_file, reply, replyPoly, exec_task, flags, argv, argvCnt, envp, envpCnt, fdarray, fdarrayCnt, portarray, portarrayCnt, intarray, intarrayCnt, deallocnames, deallocnamesCnt, destroynames, destroynamesCnt)
	trivfs_protid_t exec_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t exec_task;
	int flags;
	data_t argv;
	mach_msg_type_number_t argvCnt;
	data_t envp;
	mach_msg_type_number_t envpCnt;
	portarray_t fdarray;
	mach_msg_type_number_t fdarrayCnt;
	portarray_t portarray;
	mach_msg_type_number_t portarrayCnt;
	intarray_t intarray;
	mach_msg_type_number_t intarrayCnt;
	mach_port_array_t deallocnames;
	mach_msg_type_number_t deallocnamesCnt;
	mach_port_array_t destroynames;
	mach_msg_type_number_t destroynamesCnt;
{ return trivfs_S_file_exec(exec_file, reply, replyPoly, exec_task, flags, argv, argvCnt, envp, envpCnt, fdarray, fdarrayCnt, portarray, portarrayCnt, intarray, intarrayCnt, deallocnames, deallocnamesCnt, destroynames, destroynamesCnt); }
#else
(
	trivfs_protid_t exec_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t exec_task,
	int flags,
	data_t argv,
	mach_msg_type_number_t argvCnt,
	data_t envp,
	mach_msg_type_number_t envpCnt,
	portarray_t fdarray,
	mach_msg_type_number_t fdarrayCnt,
	portarray_t portarray,
	mach_msg_type_number_t portarrayCnt,
	intarray_t intarray,
	mach_msg_type_number_t intarrayCnt,
	mach_port_array_t deallocnames,
	mach_msg_type_number_t deallocnamesCnt,
	mach_port_array_t destroynames,
	mach_msg_type_number_t destroynamesCnt
);
#endif

/* Routine file_chown */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_chown
#if	defined(LINTLIBRARY)
    (chown_file, reply, replyPoly, new_owner, new_group)
	trivfs_protid_t chown_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	uid_t new_owner;
	gid_t new_group;
{ return trivfs_S_file_chown(chown_file, reply, replyPoly, new_owner, new_group); }
#else
(
	trivfs_protid_t chown_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	uid_t new_owner,
	gid_t new_group
);
#endif

/* Routine file_chauthor */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_chauthor
#if	defined(LINTLIBRARY)
    (chauth_file, reply, replyPoly, new_author)
	trivfs_protid_t chauth_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	uid_t new_author;
{ return trivfs_S_file_chauthor(chauth_file, reply, replyPoly, new_author); }
#else
(
	trivfs_protid_t chauth_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	uid_t new_author
);
#endif

/* Routine file_chmod */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_chmod
#if	defined(LINTLIBRARY)
    (chmod_file, reply, replyPoly, new_mode)
	trivfs_protid_t chmod_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mode_t new_mode;
{ return trivfs_S_file_chmod(chmod_file, reply, replyPoly, new_mode); }
#else
(
	trivfs_protid_t chmod_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mode_t new_mode
);
#endif

/* Routine file_chflags */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_chflags
#if	defined(LINTLIBRARY)
    (chflags_file, reply, replyPoly, new_flags)
	trivfs_protid_t chflags_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int new_flags;
{ return trivfs_S_file_chflags(chflags_file, reply, replyPoly, new_flags); }
#else
(
	trivfs_protid_t chflags_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int new_flags
);
#endif

/* Routine file_utimes */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_utimes
#if	defined(LINTLIBRARY)
    (utimes_file, reply, replyPoly, new_atime, new_mtime)
	trivfs_protid_t utimes_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	time_value_t new_atime;
	time_value_t new_mtime;
{ return trivfs_S_file_utimes(utimes_file, reply, replyPoly, new_atime, new_mtime); }
#else
(
	trivfs_protid_t utimes_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	time_value_t new_atime,
	time_value_t new_mtime
);
#endif

/* Routine file_set_size */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_set_size
#if	defined(LINTLIBRARY)
    (trunc_file, reply, replyPoly, new_size)
	trivfs_protid_t trunc_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	loff_t new_size;
{ return trivfs_S_file_set_size(trunc_file, reply, replyPoly, new_size); }
#else
(
	trivfs_protid_t trunc_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	loff_t new_size
);
#endif

/* Routine file_lock */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_lock
#if	defined(LINTLIBRARY)
    (lock_file, reply, replyPoly, flags)
	trivfs_protid_t lock_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int flags;
{ return trivfs_S_file_lock(lock_file, reply, replyPoly, flags); }
#else
(
	trivfs_protid_t lock_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int flags
);
#endif

/* Routine file_lock_stat */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_lock_stat
#if	defined(LINTLIBRARY)
    (lock_file, reply, replyPoly, mystatus, otherstatus)
	trivfs_protid_t lock_file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int *mystatus;
	int *otherstatus;
{ return trivfs_S_file_lock_stat(lock_file, reply, replyPoly, mystatus, otherstatus); }
#else
(
	trivfs_protid_t lock_file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int *mystatus,
	int *otherstatus
);
#endif

/* Routine file_check_access */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_check_access
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, allowed)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int *allowed;
{ return trivfs_S_file_check_access(file, reply, replyPoly, allowed); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int *allowed
);
#endif

/* Routine file_notice_changes */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_notice_changes
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, port)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t port;
{ return trivfs_S_file_notice_changes(file, reply, replyPoly, port); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t port
);
#endif

/* Routine file_getcontrol */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_getcontrol
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, control, controlPoly)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t *control;
	mach_msg_type_name_t *controlPoly;
{ return trivfs_S_file_getcontrol(file, reply, replyPoly, control, controlPoly); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t *control,
	mach_msg_type_name_t *controlPoly
);
#endif

/* Routine file_statfs */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_statfs
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, info)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	fsys_statfsbuf_t *info;
{ return trivfs_S_file_statfs(file, reply, replyPoly, info); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	fsys_statfsbuf_t *info
);
#endif

/* Routine file_sync */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_sync
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, wait, omit_metadata)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int wait;
	int omit_metadata;
{ return trivfs_S_file_sync(file, reply, replyPoly, wait, omit_metadata); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int wait,
	int omit_metadata
);
#endif

/* Routine file_syncfs */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_syncfs
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, wait, do_children)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int wait;
	int do_children;
{ return trivfs_S_file_syncfs(file, reply, replyPoly, wait, do_children); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int wait,
	int do_children
);
#endif

/* Routine file_get_storage_info */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_get_storage_info
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, ports, portsPoly, portsCnt, ints, intsCnt, offsets, offsetsCnt, data, dataCnt)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	portarray_t *ports;
	mach_msg_type_name_t *portsPoly;
	mach_msg_type_number_t *portsCnt;
	intarray_t *ints;
	mach_msg_type_number_t *intsCnt;
	off_array_t *offsets;
	mach_msg_type_number_t *offsetsCnt;
	data_t *data;
	mach_msg_type_number_t *dataCnt;
{ return trivfs_S_file_get_storage_info(file, reply, replyPoly, ports, portsPoly, portsCnt, ints, intsCnt, offsets, offsetsCnt, data, dataCnt); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	portarray_t *ports,
	mach_msg_type_name_t *portsPoly,
	mach_msg_type_number_t *portsCnt,
	intarray_t *ints,
	mach_msg_type_number_t *intsCnt,
	off_array_t *offsets,
	mach_msg_type_number_t *offsetsCnt,
	data_t *data,
	mach_msg_type_number_t *dataCnt
);
#endif

/* Routine file_getlinknode */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_getlinknode
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, linknode, linknodePoly)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t *linknode;
	mach_msg_type_name_t *linknodePoly;
{ return trivfs_S_file_getlinknode(file, reply, replyPoly, linknode, linknodePoly); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t *linknode,
	mach_msg_type_name_t *linknodePoly
);
#endif

/* Routine file_getfh */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_getfh
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, filehandle, filehandleCnt)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	data_t *filehandle;
	mach_msg_type_number_t *filehandleCnt;
{ return trivfs_S_file_getfh(file, reply, replyPoly, filehandle, filehandleCnt); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	data_t *filehandle,
	mach_msg_type_number_t *filehandleCnt
);
#endif

/* Routine dir_lookup */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_lookup
#if	defined(LINTLIBRARY)
    (start_dir, reply, replyPoly, file_name, flags, mode, do_retry, retry_name, result, resultPoly)
	trivfs_protid_t start_dir;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	string_t file_name;
	int flags;
	mode_t mode;
	retry_type *do_retry;
	string_t retry_name;
	mach_port_t *result;
	mach_msg_type_name_t *resultPoly;
{ return trivfs_S_dir_lookup(start_dir, reply, replyPoly, file_name, flags, mode, do_retry, retry_name, result, resultPoly); }
#else
(
	trivfs_protid_t start_dir,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	string_t file_name,
	int flags,
	mode_t mode,
	retry_type *do_retry,
	string_t retry_name,
	mach_port_t *result,
	mach_msg_type_name_t *resultPoly
);
#endif

/* Routine dir_readdir */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_readdir
#if	defined(LINTLIBRARY)
    (dir, reply, replyPoly, data, dataCnt, dataDealloc, entry, nentries, bufsiz, amount)
	trivfs_protid_t dir;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	data_t *data;
	mach_msg_type_number_t *dataCnt;
	boolean_t *dataDealloc;
	int entry;
	int nentries;
	vm_size_t bufsiz;
	int *amount;
{ return trivfs_S_dir_readdir(dir, reply, replyPoly, data, dataCnt, dataDealloc, entry, nentries, bufsiz, amount); }
#else
(
	trivfs_protid_t dir,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	data_t *data,
	mach_msg_type_number_t *dataCnt,
	boolean_t *dataDealloc,
	int entry,
	int nentries,
	vm_size_t bufsiz,
	int *amount
);
#endif

/* Routine dir_mkdir */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_mkdir
#if	defined(LINTLIBRARY)
    (directory, reply, replyPoly, name, mode)
	trivfs_protid_t directory;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	string_t name;
	mode_t mode;
{ return trivfs_S_dir_mkdir(directory, reply, replyPoly, name, mode); }
#else
(
	trivfs_protid_t directory,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	string_t name,
	mode_t mode
);
#endif

/* Routine dir_rmdir */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_rmdir
#if	defined(LINTLIBRARY)
    (directory, reply, replyPoly, name)
	trivfs_protid_t directory;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	string_t name;
{ return trivfs_S_dir_rmdir(directory, reply, replyPoly, name); }
#else
(
	trivfs_protid_t directory,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	string_t name
);
#endif

/* Routine dir_unlink */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_unlink
#if	defined(LINTLIBRARY)
    (directory, reply, replyPoly, name)
	trivfs_protid_t directory;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	string_t name;
{ return trivfs_S_dir_unlink(directory, reply, replyPoly, name); }
#else
(
	trivfs_protid_t directory,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	string_t name
);
#endif

/* Routine dir_link */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_link
#if	defined(LINTLIBRARY)
    (dir, reply, replyPoly, file, name, excl)
	trivfs_protid_t dir;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	trivfs_protid_t file;
	string_t name;
	int excl;
{ return trivfs_S_dir_link(dir, reply, replyPoly, file, name, excl); }
#else
(
	trivfs_protid_t dir,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	trivfs_protid_t file,
	string_t name,
	int excl
);
#endif

/* Routine dir_rename */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_rename
#if	defined(LINTLIBRARY)
    (olddirectory, reply, replyPoly, oldname, newdirectory, newname, excl)
	trivfs_protid_t olddirectory;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	string_t oldname;
	trivfs_protid_t newdirectory;
	string_t newname;
	int excl;
{ return trivfs_S_dir_rename(olddirectory, reply, replyPoly, oldname, newdirectory, newname, excl); }
#else
(
	trivfs_protid_t olddirectory,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	string_t oldname,
	trivfs_protid_t newdirectory,
	string_t newname,
	int excl
);
#endif

/* Routine dir_mkfile */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_mkfile
#if	defined(LINTLIBRARY)
    (directory, reply, replyPoly, flags, mode, newnode, newnodePoly)
	trivfs_protid_t directory;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int flags;
	mode_t mode;
	mach_port_t *newnode;
	mach_msg_type_name_t *newnodePoly;
{ return trivfs_S_dir_mkfile(directory, reply, replyPoly, flags, mode, newnode, newnodePoly); }
#else
(
	trivfs_protid_t directory,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int flags,
	mode_t mode,
	mach_port_t *newnode,
	mach_msg_type_name_t *newnodePoly
);
#endif

/* Routine dir_notice_changes */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_dir_notice_changes
#if	defined(LINTLIBRARY)
    (directory, reply, replyPoly, port)
	trivfs_protid_t directory;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t port;
{ return trivfs_S_dir_notice_changes(directory, reply, replyPoly, port); }
#else
(
	trivfs_protid_t directory,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t port
);
#endif

/* Routine file_set_translator */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_set_translator
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, passive_flags, active_flags, oldtrans_flags, passive, passiveCnt, active)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int passive_flags;
	int active_flags;
	int oldtrans_flags;
	data_t passive;
	mach_msg_type_number_t passiveCnt;
	mach_port_t active;
{ return trivfs_S_file_set_translator(file, reply, replyPoly, passive_flags, active_flags, oldtrans_flags, passive, passiveCnt, active); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int passive_flags,
	int active_flags,
	int oldtrans_flags,
	data_t passive,
	mach_msg_type_number_t passiveCnt,
	mach_port_t active
);
#endif

/* Routine file_get_translator */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_get_translator
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, translator, translatorCnt)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	data_t *translator;
	mach_msg_type_number_t *translatorCnt;
{ return trivfs_S_file_get_translator(file, reply, replyPoly, translator, translatorCnt); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	data_t *translator,
	mach_msg_type_number_t *translatorCnt
);
#endif

/* Routine file_get_translator_cntl */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_get_translator_cntl
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, translator_cntl, translator_cntlPoly)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t *translator_cntl;
	mach_msg_type_name_t *translator_cntlPoly;
{ return trivfs_S_file_get_translator_cntl(file, reply, replyPoly, translator_cntl, translator_cntlPoly); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t *translator_cntl,
	mach_msg_type_name_t *translator_cntlPoly
);
#endif

/* Routine file_get_fs_options */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_get_fs_options
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, options, optionsCnt)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	data_t *options;
	mach_msg_type_number_t *optionsCnt;
{ return trivfs_S_file_get_fs_options(file, reply, replyPoly, options, optionsCnt); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	data_t *options,
	mach_msg_type_number_t *optionsCnt
);
#endif

/* Routine file_reparent */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_file_reparent
#if	defined(LINTLIBRARY)
    (file, reply, replyPoly, parent, new_file, new_filePoly)
	trivfs_protid_t file;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t parent;
	mach_port_t *new_file;
	mach_msg_type_name_t *new_filePoly;
{ return trivfs_S_file_reparent(file, reply, replyPoly, parent, new_file, new_filePoly); }
#else
(
	trivfs_protid_t file,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t parent,
	mach_port_t *new_file,
	mach_msg_type_name_t *new_filePoly
);
#endif

#endif	/* not defined(_fs_server_) */
