#ifndef	_fsys_server_
#define	_fsys_server_

/* Module fsys */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <mach/mach_types.h>
#include <device/device_types.h>
#include <device/net_status.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/statfs.h>
#include <sys/resource.h>
#include <sys/utsname.h>
#include <hurd/hurd_types.h>
#include <hurd/trivfs.h>

/* Routine fsys_startup */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_startup
#if	defined(LINTLIBRARY)
    (bootstrap, reply, replyPoly, openflags, control_port, realnode, realnodePoly)
	mach_port_t bootstrap;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int openflags;
	mach_port_t control_port;
	mach_port_t *realnode;
	mach_msg_type_name_t *realnodePoly;
{ return trivfs_S_fsys_startup(bootstrap, reply, replyPoly, openflags, control_port, realnode, realnodePoly); }
#else
(
	mach_port_t bootstrap,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int openflags,
	mach_port_t control_port,
	mach_port_t *realnode,
	mach_msg_type_name_t *realnodePoly
);
#endif

/* Routine fsys_goaway */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_goaway
#if	defined(LINTLIBRARY)
    (fsys, reply, replyPoly, flags)
	trivfs_control_t fsys;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int flags;
{ return trivfs_S_fsys_goaway(fsys, reply, replyPoly, flags); }
#else
(
	trivfs_control_t fsys,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int flags
);
#endif

/* Routine fsys_getroot */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_getroot
#if	defined(LINTLIBRARY)
    (fsys, reply, replyPoly, dotdot_node, gen_uids, gen_uidsCnt, gen_gids, gen_gidsCnt, flags, do_retry, retry_name, file, filePoly)
	trivfs_control_t fsys;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t dotdot_node;
	idarray_t gen_uids;
	mach_msg_type_number_t gen_uidsCnt;
	idarray_t gen_gids;
	mach_msg_type_number_t gen_gidsCnt;
	int flags;
	retry_type *do_retry;
	string_t retry_name;
	mach_port_t *file;
	mach_msg_type_name_t *filePoly;
{ return trivfs_S_fsys_getroot(fsys, reply, replyPoly, dotdot_node, gen_uids, gen_uidsCnt, gen_gids, gen_gidsCnt, flags, do_retry, retry_name, file, filePoly); }
#else
(
	trivfs_control_t fsys,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t dotdot_node,
	idarray_t gen_uids,
	mach_msg_type_number_t gen_uidsCnt,
	idarray_t gen_gids,
	mach_msg_type_number_t gen_gidsCnt,
	int flags,
	retry_type *do_retry,
	string_t retry_name,
	mach_port_t *file,
	mach_msg_type_name_t *filePoly
);
#endif

/* Routine fsys_getfile */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_getfile
#if	defined(LINTLIBRARY)
    (fsys, reply, replyPoly, gen_uids, gen_uidsCnt, gen_gids, gen_gidsCnt, filehandle, filehandleCnt, file, filePoly)
	trivfs_control_t fsys;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	idarray_t gen_uids;
	mach_msg_type_number_t gen_uidsCnt;
	idarray_t gen_gids;
	mach_msg_type_number_t gen_gidsCnt;
	data_t filehandle;
	mach_msg_type_number_t filehandleCnt;
	mach_port_t *file;
	mach_msg_type_name_t *filePoly;
{ return trivfs_S_fsys_getfile(fsys, reply, replyPoly, gen_uids, gen_uidsCnt, gen_gids, gen_gidsCnt, filehandle, filehandleCnt, file, filePoly); }
#else
(
	trivfs_control_t fsys,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	idarray_t gen_uids,
	mach_msg_type_number_t gen_uidsCnt,
	idarray_t gen_gids,
	mach_msg_type_number_t gen_gidsCnt,
	data_t filehandle,
	mach_msg_type_number_t filehandleCnt,
	mach_port_t *file,
	mach_msg_type_name_t *filePoly
);
#endif

/* Routine fsys_syncfs */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_syncfs
#if	defined(LINTLIBRARY)
    (fsys, reply, replyPoly, wait, do_children)
	trivfs_control_t fsys;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	int wait;
	int do_children;
{ return trivfs_S_fsys_syncfs(fsys, reply, replyPoly, wait, do_children); }
#else
(
	trivfs_control_t fsys,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	int wait,
	int do_children
);
#endif

/* Routine fsys_set_options */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_set_options
#if	defined(LINTLIBRARY)
    (fsys, reply, replyPoly, options, optionsCnt, do_children)
	trivfs_control_t fsys;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	data_t options;
	mach_msg_type_number_t optionsCnt;
	int do_children;
{ return trivfs_S_fsys_set_options(fsys, reply, replyPoly, options, optionsCnt, do_children); }
#else
(
	trivfs_control_t fsys,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	data_t options,
	mach_msg_type_number_t optionsCnt,
	int do_children
);
#endif

/* Routine fsys_getpriv */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_getpriv
#if	defined(LINTLIBRARY)
    (fsys, reply, replyPoly, host_priv, host_privPoly, device_master, device_masterPoly, fstask, fstaskPoly)
	trivfs_control_t fsys;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t *host_priv;
	mach_msg_type_name_t *host_privPoly;
	mach_port_t *device_master;
	mach_msg_type_name_t *device_masterPoly;
	mach_port_t *fstask;
	mach_msg_type_name_t *fstaskPoly;
{ return trivfs_S_fsys_getpriv(fsys, reply, replyPoly, host_priv, host_privPoly, device_master, device_masterPoly, fstask, fstaskPoly); }
#else
(
	trivfs_control_t fsys,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t *host_priv,
	mach_msg_type_name_t *host_privPoly,
	mach_port_t *device_master,
	mach_msg_type_name_t *device_masterPoly,
	mach_port_t *fstask,
	mach_msg_type_name_t *fstaskPoly
);
#endif

/* Routine fsys_init */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_init
#if	defined(LINTLIBRARY)
    (fsys, reply_port, reply_portPoly, proc_server, auth_handle)
	trivfs_control_t fsys;
	mach_port_t reply_port;
	mach_msg_type_name_t reply_portPoly;
	mach_port_t proc_server;
	auth_t auth_handle;
{ return trivfs_S_fsys_init(fsys, reply_port, reply_portPoly, proc_server, auth_handle); }
#else
(
	trivfs_control_t fsys,
	mach_port_t reply_port,
	mach_msg_type_name_t reply_portPoly,
	mach_port_t proc_server,
	auth_t auth_handle
);
#endif

/* Routine fsys_forward */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_forward
#if	defined(LINTLIBRARY)
    (server, reply, replyPoly, requestor, argv, argvCnt)
	mach_port_t server;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	mach_port_t requestor;
	data_t argv;
	mach_msg_type_number_t argvCnt;
{ return trivfs_S_fsys_forward(server, reply, replyPoly, requestor, argv, argvCnt); }
#else
(
	mach_port_t server,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	mach_port_t requestor,
	data_t argv,
	mach_msg_type_number_t argvCnt
);
#endif

/* Routine fsys_get_options */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t trivfs_S_fsys_get_options
#if	defined(LINTLIBRARY)
    (server, reply, replyPoly, options, optionsCnt)
	trivfs_control_t server;
	mach_port_t reply;
	mach_msg_type_name_t replyPoly;
	data_t *options;
	mach_msg_type_number_t *optionsCnt;
{ return trivfs_S_fsys_get_options(server, reply, replyPoly, options, optionsCnt); }
#else
(
	trivfs_control_t server,
	mach_port_t reply,
	mach_msg_type_name_t replyPoly,
	data_t *options,
	mach_msg_type_number_t *optionsCnt
);
#endif

#endif	/* not defined(_fsys_server_) */
